/*{
	"type": "action",
	"author": "Sal Soghoian",
	"description": "This action will remove all diagram elements except the selected diagram item.",
	"label": "Delete Other Diagram Items",
	"shortLabel": "Delete Others"
}*/

var _ = function(){
	
	var action = new PlugIn.Action(function(selection, sender){
		// action code
		cnvs = document.windows[0].selection.canvas
		graphic = document.windows[0].selection.graphics[0]
		graphicID = graphic.id
		document.windows[0].selection.canvas.graphics.forEach(function(item){
			if(item instanceof Solid && item.connectedLines.length > 0 && item.id != graphicID){
				item.connectedLines.forEach(function(line){line.remove()})
				item.remove()
			}
		})
	});

	action.validate = function(selection, sender){
		// validate that a single connected solid is selected
		if(selection.solids.length === 1 && selection.solids[0].connectedLines.length > 0){return true} else {return false}
	};
	
	return action;
}();
_;